package com.yidianling.im.session.viewholder.bean

import android.os.Parcel
import android.os.Parcelable
import java.io.Serializable


data class LingxiWhichQuestionBean(
    var isSelected: Boolean,
    var id: String?,//ID
    var questionPaperId: String?,//试卷ID
    var name:String?,//问题题目
    var type:String?,//试卷type radio单选，check 多选
    var options:ArrayList<QuestionItemBean>?//选项
)
data class QuestionItemBean(
    var id:String?,
    var name:String?,
    var other:String?,
    var relates:ArrayList<Relates>?,
    var isSelected: Boolean=false
)
//回答问题bean
data class LingxiAnswerBean(
    var data:AnswerBean,
    var fromUid:String,
    var type:String,
    var toUid:String
)
data class AnswerBean(
    var examId:String,
    var questionPaperId:String,
    var uid:String,
    var questionId:String,
    var answers:ArrayList<AnswersItem>
)
class AnswersItem(
    var optionId:String,
    var name: String,
    var other:String?,
    var relates:ArrayList<Relates>
)

class Relates(
    var id: String?,
    var category:String?,
    var name: String?,
    var score:String?
)

data class UserIsIn(
    var data: UserIsInPageData,
    var fromUid: String,
    var noticeType: String,
    var toUid: String
)
data class UserIsInPageData(
    var content:String
)